Bug 76073 - EDITING: Center not fixed when resizing Custom shapes with ALT key
Summary: EDITING: Center not fixed when resizing Custom shapes with ALT key
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes-Custom
  Show dependency treegraph
 
Reported: 2014-03-12 11:58 UTC by Anastasius
Modified: 2019-02-22 11:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anastasius 2014-03-12 11:58:02 UTC
Help says
"Press the Alt key and drag with the mouse to draw or resize an object from the center of the object outward." 
https://help.libreoffice.org/Draw/Shortcut_Keys_for_Drawings

This indeed works when creating a new object, but it does not work when resizing. This feature is also needed when resizing!

Steps to reproduce:
1 Create new drawing.
2 Select rectangle (or ellipse) from Drawing Toolbar
3 Push down the ALT key, somewhere in the drawing area press the mouse button and keep the mouse button down while dragging the mouse, all while ALT is down. The rectangle (ellipse) is centered at the position where the mouse button was dragged first. This is OK.
4 Push the ALT key down and drag one of the handles of the rectangle (ellipse), keeping ALT down. The shape is resized the same way as without ALT: the center moves (the handle opposite of that grabbed with the mouse remains fixed).
First pressing the mouse button and then the ALT key does not help either.
Comment 1 A (Andy) 2014-03-12 20:07:12 UTC
reproducible with LO 4.2.1.1 (Win 8.1)
Comment 2 Cor Nouws 2014-04-08 20:21:26 UTC
does not work in 3.3.0 to (for me anyway)
Comment 3 QA Administrators 2015-06-08 14:41:31 UTC Comment hidden (obsolete)
Comment 4 Regina Henschel 2015-06-12 12:13:22 UTC
The bug is still present in Version: 5.0.0.0.alpha1 Build ID: 77a35997fa7cff387b5b135ff0c42155f80e9884 Locale: de_DE

It is inherited from OOo. Only custom shapes are affected. With primitive shapes and path-shapes centered resizing by dragging with pressed Alt-key works well.
Comment 5 QA Administrators 2016-09-20 10:00:26 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2016-09-20 14:07:39 UTC
Alt-drag still does not work on custom-shapes, tested with Version:
5.3.0.0.alpha0+
Build ID: ba269f7294e2416659011cbb498a2c6b5f9d5199
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-12_02:36:16
Locale: de-DE (de_DE); Calc: group
Comment 7 Xisco Faulí 2017-09-29 08:51:04 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2017-09-29 11:09:47 UTC
The bug still exists in Version: 6.0.0.0.alpha0+
Build ID: 6c68f38bc28bb55a4f0d53b8f38957516d3935d1
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-09-04_22:05:26
Locale: de-DE (de_DE); Calc: group
Comment 9 QA Administrators 2018-09-30 02:46:48 UTC Comment hidden (obsolete)
Comment 10 Regina Henschel 2018-09-30 10:41:47 UTC
The error is still present in Version: 6.2.0.0.alpha0+ (x64)
Build ID: efe119aaa50e9f532b3fac1ef153469c80f24b80
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-10_01:36:26
Locale: de-DE (en_US); Calc: CL